<?php

namespace App\Http\Requests\LibrarySetting;

use Illuminate\Foundation\Http\FormRequest;

class BookClassRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'class_name'=>'required|unique:library_book_classes',
            'class_no'=>'required|unique:library_book_classes',
        ];
    }
}
